<mat-toolbar>
  <span><img class="header-logo" src="../../assets/barbell-symbol.png" /></span>
  <span>Gym-Portal</span>
  <span class="spacer"></span>
  <button class="collapse-button" (click)="toggleMenu()">☰</button>
  <div class="menu-items" [ngClass]="{ show: isMenuShown }">
    <a mat-button routerLink="/home" routerLinkActive="active" *ngIf="(isLoggedIn$ | async)" >Home</a>
    <a mat-button  routerLinkActive="active" *ngIf="(isLoggedIn$ | async)" (click)="logout()">Logout</a>
    <a
      mat-button
      (click)="toggleRole(true)"
      routerLink="/trainee-registration"
      routerLinkActive="active"
      *ngIf="!(isLoggedIn$ | async)"
      >Trainee Registration</a
    >
    <a
      mat-button
      (click)="toggleRole(false)"
      routerLink="/trainer-registration"
      routerLinkActive="active"
      *ngIf="!(isLoggedIn$ | async)"
      >Trainer Registration</a
    >
    <a
      mat-button
      routerLink="/login"
      routerLinkActive="active"
      *ngIf="!(isLoggedIn$ | async)"
      >Login</a
    >
  </div>
</mat-toolbar>
